
package de.ivu.elect.business.staat.boundary;

import java.util.ArrayList;
import java.util.List;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.staat.entity.Staat;
import de.ivu.elect.business.staat.entity.StaatenGruppe;

@Stateless
public class StaatenGruppeEdit extends AbstractStaatenGruppeEdit {

  @Inject
  private StaatExtendedDAO staatDao;

  public StaatenGruppeEdit() {
    super();
  }

  @Override
  public void save(StaatenGruppe staatenGruppe) {
    List<Staat> staatenZugeordnet = new ArrayList<>(staatenGruppe.getStaats());

    staatenGruppe.removeAllStaats();

    for (Staat staat : staatenZugeordnet) {
      staatenGruppe.addStaat(attach(staat));
    }

    super.save(staatenGruppe);
  }

  private Staat attach(Staat staat) {
    return staatDao.attach(staat);
  }
}
